{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list tags_labordocente %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    <script type="text/javascript" src="{% static 'admin/js/core.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/admin/RelatedObjectLookups.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.init.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/actions.min.js' %}"></script>


    {{ media.css }}
{% endblock %}

{% block extrahead %}
    {{ block.super }}
    {{ media.js }}
    <script type="text/javascript">
        (function ($) {
            $(document).ready(function ($) {
                $("tr input.action-select").actions();
            });
        })(django.jQuery);
    </script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        {% trans "Ver Grupos Horarios" %}
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <h2>Grupos de labor docente</h2>
    <div id="content-main">
        <div class="module filtered" id="changelist">

            <div id="toolbar">
                <form id="changelist-search" action="" method="get">{% csrf_token %}
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="p" value="{{ query1|escape }}"/>
                        {% endif %}


                        <input type="submit" value="{% trans 'Search' %}"/>
                        <span class="small quiet">{{ n_grupos }} Grupos Horarios UDL</span>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>


                    <h3> {% trans 'Por Semestres' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query1 %}class="selected"{% endif %}{% endif %}><a href="?">Todos/as</a>
                        </li>

                        {% for periodo in periodos %}
                            <li {% ifequal query1 periodo.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}p={{ query1 }}&{% endif %}p={{ periodo.id }}">{{ periodo }}</a>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            {% endblock %}
            <form method="POST" action="">{% csrf_token %}
                <div class="actions">
                    <label>Acción:</label>
                    <select name="action">
                        <OPTION selected="selected" value="">---------</OPTION>
                    </select>
                    <input class="select-across" type="hidden" name="select_across" value="0">
                    <button class="button" name="index" title="Ejecutar la acción seleccionada" type="SUBMIT">Ejecutar
                    </button>
                    <script type="text/javascript">
                        var _actions_icnt = "100";
                    </script>
                    <span class="action-counter" style="display: inline;">{{ n_grupos }} Grupo(s) Horario UDL</span>
                    <span class="all" style="display: none;">{{ n_grupos }} Grupo(s) Horario UDL seleccionados</span>
                    <span class="question" style="display: none;"><a
                            title="Pulse aquí para seleccionar los objetos a través de todas las páginas"
                            href="javascript:;">Seleccionar todos los {{ n_grupos }} Grupo(s) Horario UDL</a></span>
                    <span class="clear" style="display: none;"><a href="javascript:;">Limpiar selección</a></span>
                </div>

                {% block result_list %}
                    {% if query %}
                        <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                    {% endif %}
                    {% if results %}
                        <div class="results">
                            <table id='result_list'>
                                <THEAD>
                                <TR>
                                    <TH scope='col' class='action-checkbox-column'>
                                        <div class="text"><span><input type="checkbox" id="action-toggle"
                                                                       style="display: inline;"></span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Grupo' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Código' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Nombre' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Semestre' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Docente' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Observaciones' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Documento' %}</span></div>
                                    </TH>
                                </TR>
                                </THEAD>
                                <TBODY>
                                {% for grupo in results.object_list %}
                                    <TR class="{% cycle 'row1' 'row2' %}">
                                        <TD><input type="checkbox" name="_selected_action" value="{{ grupo.id }}"
                                                   class="action-select"></TD>
                                        <TD><a href="{{ grupo.id }}/">{{ grupo.Grupo|escape }}</a></TD>
                                        <TD>{{ grupo.Labor.Codigo|escape }}</TD>
                                        <TD>{{ grupo.Labor.Nombre|escape }} </TD>
                                        <TD>{{ grupo.Periodo|escape }}</TD>
                                        <TD>{{ grupo.Docente|escape }}</TD>
                                        <TD>{{ grupo.Observaciones|escape }}</TD>
                                        <TD>Documento</TD>
                                    </TR>
                                {% endfor %}
                                </TBODY>
                            </table>
                        </div>
                    {% else %}
                        <p>{% trans 'No se encontraron coincidencias' %}</p>
                    {% endif %}
                {% endblock %}
                {% block pagination %}
                    {% render_paginator 2 3 %}
                {% endblock %}
            </form>
        </div>
    </div>
{% endblock %}
